/* =========================================================
   COOKIE THEME VARIABLES
========================================================= */

:root {

    /* DARK */
    --cookie-container-dark: #000000;
    --cookie-close-dark: #ffffff;
    --cookie-text-dark: #a1a1a1;
    --cookie-btn-dark: #7AA93C;
    --cookie-btn-text-dark: #ffffff;

    /* LIGHT */
    --cookie-container-light: #ffffff;
    --cookie-close-light: #000000;
    --cookie-text-light: #333333;
    --cookie-btn-light: #7AA93C;
    --cookie-btn-text-light: #ffffff;
}


/* =========================================================
   DARK THEME
========================================================= */

body.dark-theme {

    --cookie-container: var(--cookie-container-dark);
    --cookie-close: var(--cookie-close-dark);
    --cookie-text: var(--cookie-text-dark);
    --cookie-btn: var(--cookie-btn-dark);
    --cookie-btn-text: var(--cookie-btn-text-dark);
}


/* =========================================================
   LIGHT THEME
========================================================= */

body.light-theme {

    --cookie-container: var(--cookie-container-light);
    --cookie-close: var(--cookie-close-light);
    --cookie-text: var(--cookie-text-light);
    --cookie-btn: var(--cookie-btn-light);
    --cookie-btn-text: var(--cookie-btn-text-light);
}


/* =========================================================
   COOKIE STYLES
========================================================= */

.accept-cookie {
    color: var(--cookie-btn-text) !important;
    background: var(--general-btn-hover) !important;
    border-color: none !important;
}

.bg-custom {
    background-color: var(--cookie-container);
}

.close-cookie {
    color: var(--cookie-close);
}

.cookie-text {
    color: var(--cookie-text);
}


/* =========================================================
   TRANSITIONS
========================================================= */

body,
.bg-custom,
.btn,
.card {
    transition:
        background-color 0.4s ease,
        color 0.4s ease,
        border-color 0.4s ease;
}